Public Class ustCntlUSTV_AntragPosition
    Public UStV_POS As VERAG_PROG_ALLGEMEIN.cUStVPositionen = Nothing
    Dim sql As New VERAG_PROG_ALLGEMEIN.SQL
    Dim Antrag_LandKz = ""

    Public Event EV_PREV()
    Public Event EV_NEXT()
    Public Event CHANGED(UStVPo_ID)
    Dim gridAktiv = False
    Private Sub btnBildAuf_Click(sender As Object, e As EventArgs) Handles btnBildAuf.Click
        RaiseEvent EV_PREV()
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        RaiseEvent EV_NEXT()
    End Sub

    Sub reset()
        txtRgDatum._value = ""
        txtRgNr._value = ""
    End Sub

    Sub setValues(UStV_POS As VERAG_PROG_ALLGEMEIN.cUStVPositionen, Antrag_LandKz As String)
        gridAktiv = False
        Me.Antrag_LandKz = Antrag_LandKz
        Me.UStV_POS = UStV_POS
        cbxAPI.Checked = If(UStV_POS.UStVPo_Schnittstelle, False)
        cboSchnittstellennr.changeItem(If(UStV_POS.UStVPo_SchnittstellenNr, ""))
        txtRgDatum._value = If(UStV_POS.UStVPo_ReDat, "")
        txtRgNr._value = If(UStV_POS.UStVPo_ReNr, "")
        lblSachbearbeiter.Text = If(UStV_POS.UStVPo_Sachbearbeiter, "")
        If UStV_POS.UStVPo_Zeitstempel IsNot Nothing Then lblAenderungsdatum.Text = CDate(UStV_POS.UStVPo_Zeitstempel).ToString("dd.MM.yyyy HH:mm")
        txtLeistender.Text = If(UStV_POS.UStVPo_Leistender, "")
        cboLeistungsbezeichnung.Text = If(UStV_POS.UStVPo_Leistungsbezeichnung, "")
        txtUSTBetrag.Text = If(UStV_POS.UStVPo_USteuerbetrag, "")
        txtUmrechnungskurs.Text = If(UStV_POS.UStVPo_Umrechnungskurs, "")
        txtUSTBetragEUR.Text = If(UStV_POS.UStVPo_USteuerbetragEUR, "")

        Dim da_id = -1
        Select Case If(UStV_POS.UStVPo_SchnittstellenNr, -1)
            Case 6, 0 : da_id = sql.getValueTxtBySql("SELECT TOP(1) [plInv_daId] FROM [tblPLOSE_Inv_Data] where plInv_SupplierRechnungsDatum='" & UStV_POS.UStVPo_ReDat & "' and plInv_SupplierRechnungsNr='" & UStV_POS.UStVPo_ReNr & "' and plInv_SupplierCountry='" & Antrag_LandKz & "' AND [plInv_daId] is not null", "FMZOLL",,, -1)

        End Select
        scanSonstiges.INIT_daId(da_id)

        gridAktiv = True
    End Sub

    Sub getValues(ByRef UStV_POS)
        If UStV_POS Is Nothing Then UStV_POS = New VERAG_PROG_ALLGEMEIN.cUStVPositionen
        'UStV_POS.
        UStV_POS.UStVPo_Sachbearbeiter = VERAG_PROG_ALLGEMEIN.cAllgemein.USRKURZNAME
        UStV_POS.UStVPo_Zeitstempel = Now
    End Sub

    Private Sub ustCntlUSTV_AntragPosition_KeyDown(sender As Object, e As PreviewKeyDownEventArgs) Handles Me.PreviewKeyDown
        If e.KeyValue = Keys.PageDown Then
            RaiseEvent EV_NEXT()
        End If
        If e.KeyValue = Keys.PageUp Then
            RaiseEvent EV_PREV()
        End If
    End Sub

    Private Sub txtUmrechnungskurs_TextChanged(sender As Object, e As EventArgs) Handles txtUmrechnungskurs.TextChanged
        Dim gridAktivTMP = gridAktiv
        gridAktiv = False
        txtUSTBetragEUR._value = ""
        If IsNumeric(txtUSTBetrag._value) AndAlso IsNumeric(txtUmrechnungskurs._value) Then
            txtUSTBetragEUR._value = txtUSTBetrag._value * txtUmrechnungskurs._value
        End If
        gridAktiv = gridAktivTMP
    End Sub

    Function save()
        getValues(UStV_POS)
        MsgBox("TEST")
        Return UStV_POS.save
    End Function

    Private Sub txtBestellung_TextChanged(sender As Object, e As EventArgs) Handles txtRgDatum.PropertyChanged, txtRgNr.TextChanged, cboLeistungsbezeichnung.SelectedIndexChanged,
            txtLeistender.TextChanged, txtUSTBetrag.TextChanged, txtUSTBetrag.TextChanged, txtUSTBetragEUR.TextChanged ', cbxAPI.CheckedChanged, cboSchnittstellennr.SelectedIndexChanged

        If Not VERAG_PROG_ALLGEMEIN.cBerechtignunen.CHECK_BERECHTIGUNG_bool("MDM_Leistungen_bearbeiten", Me.FindForm) Then Exit Sub

        If gridAktiv And Me.FindForm IsNot Nothing Then
            'If sender Is txtLieferung Then
            '    If Not PROG.checkSDLNrPartnerKdNr(kdNr, SDLNr) Then MsgBox("Bitte geben Sie die Partner-Kundennummer im Kundenblatt oder im FM-ZOLL ein!")
            'End If
            values_changed()
        End If
    End Sub
    Sub values_changed()
        lblSachbearbeiter.Text = VERAG_PROG_ALLGEMEIN.cAllgemein.USRKURZNAME
        lblAenderungsdatum.Text = Now.ToString("dd.MM.yyyy HH:mm")
        '  If e.Column.ColumnName = "Sachbearbeiter" Or e.Column.ColumnName = "Änderungsdatum" Then Exit Sub
        If save() Then RaiseEvent CHANGED(UStV_POS.UStVPo_ID)
    End Sub



    Private Sub ustCntlUSTV_AntragPosition_Load(sender As Object, e As EventArgs) Handles Me.Load

    End Sub
End Class
